package asm

type Mnemonic uint8

const (
	NONE Mnemonic = iota
	MOVE
	RETURN
	SYSCALL
	LABEL
	CALL
	JUMP
)

// String returns a human readable version.
func (m Mnemonic) String() string {
	switch m {
	case MOVE:
		return "move"

	case RETURN:
		return "return"

	case SYSCALL:
		return "syscall"

	case LABEL:
		return "label"

	case CALL:
		return "call"

	case JUMP:
		return "jump"
	}

	return "NONE"
}
